Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
56.2.0.0
Broadcast address
56.2.63.255
First usable
56.2.0.1
Last usable
56.2.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 38020000 · Integer 939655168 to 939671551
Reverse DNS zones
0.2.56.in-addr.arpa
1.2.56.in-addr.arpa
2.2.56.in-addr.arpa
3.2.56.in-addr.arpa
4.2.56.in-addr.arpa
5.2.56.in-addr.arpa
6.2.56.in-addr.arpa
7.2.56.in-addr.arpa
8.2.56.in-addr.arpa
9.2.56.in-addr.arpa
10.2.56.in-addr.arpa
11.2.56.in-addr.arpa
12.2.56.in-addr.arpa
13.2.56.in-addr.arpa
14.2.56.in-addr.arpa
15.2.56.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000.00000010.00000000.0000000056.2.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00111000.00000010.00000000.0000000056.2.0.0
Broadcast00111000.00000010.00111111.1111111156.2.63.255
Split into smaller subnets/25

56.2.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.2.0.0/2556.2.0.1 to 56.2.0.12656.2.0.127126
256.2.0.128/2556.2.0.129 to 56.2.0.25456.2.0.255126
356.2.1.0/2556.2.1.1 to 56.2.1.12656.2.1.127126
456.2.1.128/2556.2.1.129 to 56.2.1.25456.2.1.255126
556.2.2.0/2556.2.2.1 to 56.2.2.12656.2.2.127126
656.2.2.128/2556.2.2.129 to 56.2.2.25456.2.2.255126
756.2.3.0/2556.2.3.1 to 56.2.3.12656.2.3.127126
856.2.3.128/2556.2.3.129 to 56.2.3.25456.2.3.255126
956.2.4.0/2556.2.4.1 to 56.2.4.12656.2.4.127126
1056.2.4.128/2556.2.4.129 to 56.2.4.25456.2.4.255126
1156.2.5.0/2556.2.5.1 to 56.2.5.12656.2.5.127126
1256.2.5.128/2556.2.5.129 to 56.2.5.25456.2.5.255126
1356.2.6.0/2556.2.6.1 to 56.2.6.12656.2.6.127126
1456.2.6.128/2556.2.6.129 to 56.2.6.25456.2.6.255126
1556.2.7.0/2556.2.7.1 to 56.2.7.12656.2.7.127126
1656.2.7.128/2556.2.7.129 to 56.2.7.25456.2.7.255126
1756.2.8.0/2556.2.8.1 to 56.2.8.12656.2.8.127126
1856.2.8.128/2556.2.8.129 to 56.2.8.25456.2.8.255126
1956.2.9.0/2556.2.9.1 to 56.2.9.12656.2.9.127126
2056.2.9.128/2556.2.9.129 to 56.2.9.25456.2.9.255126
2156.2.10.0/2556.2.10.1 to 56.2.10.12656.2.10.127126
2256.2.10.128/2556.2.10.129 to 56.2.10.25456.2.10.255126
2356.2.11.0/2556.2.11.1 to 56.2.11.12656.2.11.127126
2456.2.11.128/2556.2.11.129 to 56.2.11.25456.2.11.255126
2556.2.12.0/2556.2.12.1 to 56.2.12.12656.2.12.127126
2656.2.12.128/2556.2.12.129 to 56.2.12.25456.2.12.255126
2756.2.13.0/2556.2.13.1 to 56.2.13.12656.2.13.127126
2856.2.13.128/2556.2.13.129 to 56.2.13.25456.2.13.255126
2956.2.14.0/2556.2.14.1 to 56.2.14.12656.2.14.127126
3056.2.14.128/2556.2.14.129 to 56.2.14.25456.2.14.255126
3156.2.15.0/2556.2.15.1 to 56.2.15.12656.2.15.127126
3256.2.15.128/2556.2.15.129 to 56.2.15.25456.2.15.255126
3356.2.16.0/2556.2.16.1 to 56.2.16.12656.2.16.127126
3456.2.16.128/2556.2.16.129 to 56.2.16.25456.2.16.255126
3556.2.17.0/2556.2.17.1 to 56.2.17.12656.2.17.127126
3656.2.17.128/2556.2.17.129 to 56.2.17.25456.2.17.255126
3756.2.18.0/2556.2.18.1 to 56.2.18.12656.2.18.127126
3856.2.18.128/2556.2.18.129 to 56.2.18.25456.2.18.255126
3956.2.19.0/2556.2.19.1 to 56.2.19.12656.2.19.127126
4056.2.19.128/2556.2.19.129 to 56.2.19.25456.2.19.255126
4156.2.20.0/2556.2.20.1 to 56.2.20.12656.2.20.127126
4256.2.20.128/2556.2.20.129 to 56.2.20.25456.2.20.255126
4356.2.21.0/2556.2.21.1 to 56.2.21.12656.2.21.127126
4456.2.21.128/2556.2.21.129 to 56.2.21.25456.2.21.255126
4556.2.22.0/2556.2.22.1 to 56.2.22.12656.2.22.127126
4656.2.22.128/2556.2.22.129 to 56.2.22.25456.2.22.255126
4756.2.23.0/2556.2.23.1 to 56.2.23.12656.2.23.127126
4856.2.23.128/2556.2.23.129 to 56.2.23.25456.2.23.255126
4956.2.24.0/2556.2.24.1 to 56.2.24.12656.2.24.127126
5056.2.24.128/2556.2.24.129 to 56.2.24.25456.2.24.255126
5156.2.25.0/2556.2.25.1 to 56.2.25.12656.2.25.127126
5256.2.25.128/2556.2.25.129 to 56.2.25.25456.2.25.255126
5356.2.26.0/2556.2.26.1 to 56.2.26.12656.2.26.127126
5456.2.26.128/2556.2.26.129 to 56.2.26.25456.2.26.255126
5556.2.27.0/2556.2.27.1 to 56.2.27.12656.2.27.127126
5656.2.27.128/2556.2.27.129 to 56.2.27.25456.2.27.255126
5756.2.28.0/2556.2.28.1 to 56.2.28.12656.2.28.127126
5856.2.28.128/2556.2.28.129 to 56.2.28.25456.2.28.255126
5956.2.29.0/2556.2.29.1 to 56.2.29.12656.2.29.127126
6056.2.29.128/2556.2.29.129 to 56.2.29.25456.2.29.255126
6156.2.30.0/2556.2.30.1 to 56.2.30.12656.2.30.127126
6256.2.30.128/2556.2.30.129 to 56.2.30.25456.2.30.255126
6356.2.31.0/2556.2.31.1 to 56.2.31.12656.2.31.127126
6456.2.31.128/2556.2.31.129 to 56.2.31.25456.2.31.255126
6556.2.32.0/2556.2.32.1 to 56.2.32.12656.2.32.127126
6656.2.32.128/2556.2.32.129 to 56.2.32.25456.2.32.255126
6756.2.33.0/2556.2.33.1 to 56.2.33.12656.2.33.127126
6856.2.33.128/2556.2.33.129 to 56.2.33.25456.2.33.255126
6956.2.34.0/2556.2.34.1 to 56.2.34.12656.2.34.127126
7056.2.34.128/2556.2.34.129 to 56.2.34.25456.2.34.255126
7156.2.35.0/2556.2.35.1 to 56.2.35.12656.2.35.127126
7256.2.35.128/2556.2.35.129 to 56.2.35.25456.2.35.255126
7356.2.36.0/2556.2.36.1 to 56.2.36.12656.2.36.127126
7456.2.36.128/2556.2.36.129 to 56.2.36.25456.2.36.255126
7556.2.37.0/2556.2.37.1 to 56.2.37.12656.2.37.127126
7656.2.37.128/2556.2.37.129 to 56.2.37.25456.2.37.255126
7756.2.38.0/2556.2.38.1 to 56.2.38.12656.2.38.127126
7856.2.38.128/2556.2.38.129 to 56.2.38.25456.2.38.255126
7956.2.39.0/2556.2.39.1 to 56.2.39.12656.2.39.127126
8056.2.39.128/2556.2.39.129 to 56.2.39.25456.2.39.255126
8156.2.40.0/2556.2.40.1 to 56.2.40.12656.2.40.127126
8256.2.40.128/2556.2.40.129 to 56.2.40.25456.2.40.255126
8356.2.41.0/2556.2.41.1 to 56.2.41.12656.2.41.127126
8456.2.41.128/2556.2.41.129 to 56.2.41.25456.2.41.255126
8556.2.42.0/2556.2.42.1 to 56.2.42.12656.2.42.127126
8656.2.42.128/2556.2.42.129 to 56.2.42.25456.2.42.255126
8756.2.43.0/2556.2.43.1 to 56.2.43.12656.2.43.127126
8856.2.43.128/2556.2.43.129 to 56.2.43.25456.2.43.255126
8956.2.44.0/2556.2.44.1 to 56.2.44.12656.2.44.127126
9056.2.44.128/2556.2.44.129 to 56.2.44.25456.2.44.255126
9156.2.45.0/2556.2.45.1 to 56.2.45.12656.2.45.127126
9256.2.45.128/2556.2.45.129 to 56.2.45.25456.2.45.255126
9356.2.46.0/2556.2.46.1 to 56.2.46.12656.2.46.127126
9456.2.46.128/2556.2.46.129 to 56.2.46.25456.2.46.255126
9556.2.47.0/2556.2.47.1 to 56.2.47.12656.2.47.127126
9656.2.47.128/2556.2.47.129 to 56.2.47.25456.2.47.255126
9756.2.48.0/2556.2.48.1 to 56.2.48.12656.2.48.127126
9856.2.48.128/2556.2.48.129 to 56.2.48.25456.2.48.255126
9956.2.49.0/2556.2.49.1 to 56.2.49.12656.2.49.127126
10056.2.49.128/2556.2.49.129 to 56.2.49.25456.2.49.255126
10156.2.50.0/2556.2.50.1 to 56.2.50.12656.2.50.127126
10256.2.50.128/2556.2.50.129 to 56.2.50.25456.2.50.255126
10356.2.51.0/2556.2.51.1 to 56.2.51.12656.2.51.127126
10456.2.51.128/2556.2.51.129 to 56.2.51.25456.2.51.255126
10556.2.52.0/2556.2.52.1 to 56.2.52.12656.2.52.127126
10656.2.52.128/2556.2.52.129 to 56.2.52.25456.2.52.255126
10756.2.53.0/2556.2.53.1 to 56.2.53.12656.2.53.127126
10856.2.53.128/2556.2.53.129 to 56.2.53.25456.2.53.255126
10956.2.54.0/2556.2.54.1 to 56.2.54.12656.2.54.127126
11056.2.54.128/2556.2.54.129 to 56.2.54.25456.2.54.255126
11156.2.55.0/2556.2.55.1 to 56.2.55.12656.2.55.127126
11256.2.55.128/2556.2.55.129 to 56.2.55.25456.2.55.255126
11356.2.56.0/2556.2.56.1 to 56.2.56.12656.2.56.127126
11456.2.56.128/2556.2.56.129 to 56.2.56.25456.2.56.255126
11556.2.57.0/2556.2.57.1 to 56.2.57.12656.2.57.127126
11656.2.57.128/2556.2.57.129 to 56.2.57.25456.2.57.255126
11756.2.58.0/2556.2.58.1 to 56.2.58.12656.2.58.127126
11856.2.58.128/2556.2.58.129 to 56.2.58.25456.2.58.255126
11956.2.59.0/2556.2.59.1 to 56.2.59.12656.2.59.127126
12056.2.59.128/2556.2.59.129 to 56.2.59.25456.2.59.255126
12156.2.60.0/2556.2.60.1 to 56.2.60.12656.2.60.127126
12256.2.60.128/2556.2.60.129 to 56.2.60.25456.2.60.255126
12356.2.61.0/2556.2.61.1 to 56.2.61.12656.2.61.127126
12456.2.61.128/2556.2.61.129 to 56.2.61.25456.2.61.255126
12556.2.62.0/2556.2.62.1 to 56.2.62.12656.2.62.127126
12656.2.62.128/2556.2.62.129 to 56.2.62.25456.2.62.255126
12756.2.63.0/2556.2.63.1 to 56.2.63.12656.2.63.127126
12856.2.63.128/2556.2.63.129 to 56.2.63.25456.2.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses